import { ygopro } from "@/api";
import { AudioActionType, playEffect } from "@/infra/audio";
import { fetchEsHintMeta } from "@/stores";

export default (summoning: ygopro.StocGameMessage.MsgSummoning) => {
  playEffect(AudioActionType.SOUND_SUMMON);
  fetchEsHintMeta({
    originMsg: "「[?]」通常召唤宣言时",
    cardID: summoning.code,
  });
};
